package com.example.dentaldroid;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListView;

public class ListaTratamiento extends Activity implements OnClickListener{
	
	
	public ArrayList<Tratamiento> tratamientos;
	public ListView lista;
	
	//-----------------------------------------
	public Button calcular;
	public EditText cuadroprueba;
	public static Boolean seleccionados[];
	public static int cantidades[];
	//-----------------------------------------
	
	//TODO Mejora
	/*	Aadir una nueva variable public static para capturar la fecha
	 *	que vendr como extra(fecha) en el intent que lance a esta Activity.
	 *	Al hacer click en Calcular, la aadiremos a fechas, atributo de la clase 
	 *	RegistroSingleton que instanciamos en el mtodo onclick*/
	
	public static String fecha; 
	
	
	public void onCreate(Bundle savedInstanceState){
		super.onCreate(savedInstanceState);
		setContentView(R.layout.tratamientos);
		
		//TODO Mejora
		Bundle extras = getIntent().getExtras();
		if(extras == null){
			return;
		}
		//Recogemos la fecha que le pasamos al intent.
		fecha = extras.getString("fecha");
		
		//Obtenemos los tratamientos para pasrselo al adaptador del ListView
		tratamientos = crearTratamientos();
		
		lista = (ListView) findViewById(R.id.lista);
		lista.setAdapter(new MiAdaptadorTratamiento(this, tratamientos));
		
		
		//------------------------------------------
		calcular = (Button) findViewById(R.id.botoncalcular);
		cuadroprueba = (EditText) findViewById(R.id.prueba);
		calcular.setOnClickListener(this);
		
		
		seleccionados = new Boolean[lista.getCount()];
		Arrays.fill(seleccionados, false);
		
		cantidades = new int[lista.getCount()];
		Arrays.fill(cantidades, 0);
		//------------------------------------------
		

	}

	private ArrayList<Tratamiento> crearTratamientos() {
		
		ArrayList<Tratamiento> resultado = new ArrayList<Tratamiento>();
		//Necesitamos 2 vectores de String y un de Int para recorrerlos, crear los tratamientos
		//y almacenarlos en resultado. Interfaz Constantes.
		
		Tratamiento trat;
		for (int i=0; i<Constantes.titulos_def.length;i++){
			trat = new Tratamiento(Constantes.titulos_def[i], Constantes.descripciones_def[i], Constantes.precios_def[i]);
			resultado.add(trat);
		}
		
		return resultado;
	}

	@Override
	public void onClick(View v) {
		
		switch(v.getId()){
		case R.id.botoncalcular:
			//cuadroprueba.setText(""+lista.getCount());
			//cuadroprueba.setText(porcentaje);
			
			String porcentaje = LibroDeCuentasVs2Activity.spinner.getSelectedItem().toString();
			double res = 0;
			res = calculaimporte(porcentaje, seleccionados, cantidades);
			cuadroprueba.setText(""+res+" ");
			
			String imp = ""+res+"  ";
			RegistroSingleton2 reg = RegistroSingleton2.getInstance();
			reg.aadeImporte(imp);
			reg.aadeFecha(fecha);
			
		}
		
	}

	private double calculaimporte(String porcentaje, Boolean[] seleccionados2, int[] cantidades2) {
		double resultado = 0;
		
		double porc = 0;
		double pvp = 0;
		double cuantos = 0;
		List<Double> pvps = new ArrayList<Double>();
		
		porc = Double.parseDouble(porcentaje);
		porc = (porc/100); 
		
		for(int i=0;i<seleccionados2.length;i++){
			if(seleccionados2[i]){
				pvp = Double.parseDouble(Constantes.precios_def[i]);
				cuantos = (double)cantidades2[i];
				pvp = pvp*cuantos;
				pvps.add(pvp);
			}
		}

		for(double pre:pvps){
			resultado += porc*pre;
		}
		
		return resultado;
	}
}
