package com.example.dentaldroid;

import java.util.List;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

public class MiAdaptadorEmail extends BaseAdapter {

	
	private static List<Enviado> listaemails;
	
	private LayoutInflater miInflater;
	
	
	
	public MiAdaptadorEmail(Context context, List<Enviado> results){
		listaemails = results;
		miInflater = LayoutInflater.from(context);
	}
	
	public int getCount() {
		return listaemails.size();
	}

	public Object getItem(int position) {
		return listaemails.get(position);
	}

	public long getItemId(int position) {
		return position;
	}

	public View getView(int position, View convertView, ViewGroup parent) {
		ViewHolder holder;
		
		if(convertView == null){
			convertView = miInflater.inflate(R.layout.list_view_lista2, null);
			holder = new ViewHolder();
			holder.nombre = (TextView) convertView.findViewById(R.id.nombre2);
			//holder.asunto = (TextView) convertView.findViewById(R.id.asunto2);
			holder.email = (TextView) convertView.findViewById(R.id.email2);
			holder.fechahora = (TextView) convertView.findViewById(R.id.fechahora);
			
			convertView.setTag(holder);
		}else{
			holder = (ViewHolder) convertView.getTag();
		}
		
		holder.nombre.setText(listaemails.get(position).getNombre());
		//holder.asunto.setText(listaemails.get(position).getAsunto());
		holder.email.setText(listaemails.get(position).getEmail());
		holder.fechahora.setText(listaemails.get(position).getFecha());
		
		
		return convertView;
	}
	
	static class ViewHolder{
		TextView nombre;
		//TextView asunto;
		TextView email;
		TextView fechahora;
	}
}
