package com.example.dentaldroid;

import java.util.ArrayList;
import java.util.List;


public class RegistroSingleton2 {
	
	private String fecha = null;
	private List<String> fechas = new ArrayList<String>();
	

	private String importe = null;
	private List<String> importes = new ArrayList<String>();
	
	private static RegistroSingleton2 INSTANCE = null;
	
	private RegistroSingleton2(){}
	
	private synchronized static void createInstance(){
		if(INSTANCE == null){
			INSTANCE = new RegistroSingleton2();
		}
	}
	
	public static RegistroSingleton2 getInstance(){
		if(INSTANCE == null){
			createInstance();
		}
		
		return INSTANCE;
	}
	
	public String getImporte(){
		return this.importe;
	}
	
	public void setImporte(String importe){
		this.importe = importe;
	}
	
	public List<String> getImportes() {
		return this.importes;
	}

	public void aadeImporte(String importe) {
		this.importes.add(importe);
	}
	
	public String getFecha(){
		return this.fecha;
	}
	
	public void setFecha(String fecha){
		this.fecha = fecha;
	}
	
	public List<String> getFechas() {
		return this.fechas;
	}

	public void aadeFecha(String fecha) {
		this.fechas.add(fecha);
	}
	
}
