package com.example.dentaldroid;

import java.util.ArrayList;
import java.util.List;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ListView;


public class Cuentas extends Activity implements OnClickListener{

	
	private static ListView listacuentas;
	private static ArrayList<Cuenta> importescalculados;
	
	
	//TODO Prueba 23/08
	private static ArrayList<Cuenta> importesAgosto;
	private static ArrayList<Cuenta> importesSeptiembre;
	//TODO Prueba 23/08
	private static ListView paraAgosto;
	private static ListView paraSeptiembre;
	
	
	public void onCreate(Bundle savedInstanceState){
		super.onCreate(savedInstanceState);
		setContentView(R.layout.listacuentas);
		
	}

	
	protected void onRestart(){
		super.onRestart();
		
		importescalculados = crearcuentas2();
		
		//TODO A partir de la fecha registrada, pintar en el ListView del mes correspondiente.
		listacuentas = (ListView) findViewById(R.id.listaDiciembre);
		MiAdaptadorImporte adapter = new MiAdaptadorImporte(this, importescalculados);
		listacuentas.setAdapter(adapter);
		
		
		
		//TODO Prueba 23/08 NO FUNCIONA AL TENER VARIOS ADAPTADORES. POR SEPARADO SI.
		/*
		importesAgosto = pruebaAgosto();
		importesSeptiembre = pruebaSeptiembre();
		
		
		paraAgosto = (ListView) findViewById(R.id.listaAgosto);
		MiAdaptadorImporte adapter = new MiAdaptadorImporte(this, importesAgosto);
		paraAgosto.setAdapter(adapter);
		
		
		paraSeptiembre = (ListView) findViewById(R.id.listaSeptiembre);
		MiAdaptadorImporte adapter2 = new MiAdaptadorImporte(this, importesSeptiembre);
		paraSeptiembre.setAdapter(adapter2);
		 */
		
	}
	
	//Prueba 23/08
	private ArrayList<Cuenta> pruebaAgosto(){
		
		ArrayList<Cuenta> resultado = new ArrayList<Cuenta>();
		Cuenta cuenta;
		
		RegistroSingleton2 reg = RegistroSingleton2.getInstance();
		for(int i=0;i<reg.getImportes().size();i++){
			
			if(reg.getFechas().get(i).substring(3, 4).equals("8")){
				cuenta = new Cuenta(reg.getFechas().get(i), reg.getImportes().get(i));
				resultado.add(cuenta);
			}
		}
		
		return resultado;
	}
	
	//Prueba 23/08
	private ArrayList<Cuenta> pruebaSeptiembre(){
		
		ArrayList<Cuenta> resultado = new ArrayList<Cuenta>();
		Cuenta cuenta;
		
		RegistroSingleton2 reg = RegistroSingleton2.getInstance();
		for(int i=0;i<reg.getImportes().size();i++){
			
			if(reg.getFechas().get(i).substring(3, 4).equals("9")){
				cuenta = new Cuenta(reg.getFechas().get(i), reg.getImportes().get(i));
				resultado.add(cuenta);
			}
		}
		
		return resultado;
	}


	private ArrayList<Cuenta> crearcuentas() {
		ArrayList<Cuenta> resultado = new ArrayList<Cuenta>();
		Cuenta cuenta;
		
		RegistroSingleton2 reg = RegistroSingleton2.getInstance();
		for(int i=0;i<reg.getImportes().size();i++){
			cuenta = new Cuenta(reg.getImportes().get(i));
			resultado.add(cuenta);
		}
		
		return resultado;
	}
	
	//Cada cuenta creada tiene la fecha e importe asociado.
	private ArrayList<Cuenta> crearcuentas2() {
		ArrayList<Cuenta> resultado = new ArrayList<Cuenta>();
		Cuenta cuenta;
		
		RegistroSingleton2 reg = RegistroSingleton2.getInstance();
		for(int i=0;i<reg.getImportes().size();i++){
			cuenta = new Cuenta(reg.getFechas().get(i), reg.getImportes().get(i));
			resultado.add(cuenta);
		}
		
		return resultado;
	}
	

	@Override
	public void onClick(View v) {
		// TODO Auto-generated method stub
		
	}
	
	

}
